package com.steering.mes.mcp.entity;

import java.io.Serializable;
	/**
	 * 数据库表VRP_COLDROLL_RESULT所对应的实体类（生成工具：代码生成器3.0）
	 * @author shizhanlei-PC   date 2016-06-01
	 */
	@SuppressWarnings("serial")
	public class VrpColdDrawnResultEntity implements Serializable {
	    /**
	     * 实绩编号(机组+工序点代码+年月日+6位流水)
	     */
	    private String resultNo = "";
	    /**
	     * 炉批计划ID
	     */
	    private String heatPlanNo = "";
	    /**
	     * 镦拔扩作业批次号
	     */
	    private String zyBatchId = "";
	    /**
	     * 镦拔扩订单编号
	     */
	    private String proPlanId = "";
	    /**
	     * 镦拔扩订单排产序号
	     */
	    private String gxPlanNo = "";
	    /**
	     * 产线代码
	     */
	    private String plineCode = "";
	    /**
	     * 产线描述
	     */
	    private String plineName = "";
	    /**
	     * 轧机号(LB,LD,LG)
	     */
	    private String rollFacNo = "";
	    /**
	     * 原料管外径(坯管)
	     */
	    private String dimater = "";
	    /**
	     * 原料管壁厚(坯管)
	     */
	    private String height = "";
	    /**
	     * 外径（成品）
	     */
	    private String sizDimater = "";
	    /**
	     * 壁厚（成品）
	     */
	    private String sizHeight = "";
	    /**
	     * 工艺道次
	     */
	    private String tecTim = "";
	    /**
	     * 外摸外径
	     */
	    private String wDimater = "";
	    /**
	     * 外摸壁厚
	     */
	    private String wHeight = "";
	    /**
	     * 内摸外径
	     */
	    private String nDimater = "";
	    /**
	     * 内摸壁厚
	     */
	    private String nHeight = "";
	    /**
	     * 拔制速度(轧制速度)
	     */
	    private String rollSpeed = "";
	    /**
	     * 产出长度(成品)
	     */
	    private String actLen = "";
	    /**
	     * 芯棒规格
	     */
	    private String speMandrel = "";
	    /**
	     * 轧辊规格 
	     */
	    private String speRoll = "";
	    /**
	     * 辊缝
	     */
	    private String rollGap = "";
	    /**
	     * 送进量
	     */
	    private String sendNum = "";
	    /**
	     * 微调
	     */
	    private String trimNum = "";
	    /**
	     * 上连杆
	     */
	    private String upPole = "";
	    /**
	     * 摆杆
	     */
	    private String pPole = "";
	    /**
	     * 作业支数（有效生产数量）
	     */
	    private String proNum = "";
	    /**
	     * 作业重量
	     */
	    private String proWt = "";
	    /**
	     * 合格支数
	     */
	    private String accNum = "";
	    /**
	     * 合格重量
	     */
	    private String accWt = "";
	    /**
	     * 合格米数
	     */
	    private String accLen = "";
	    /**
	     * 废品支数(剔除)
	     */
	    private String failNum = "";
	    /**
	     * 废品重量(剔除)
	     */
	    private String failWt = "";
	    /**
	     * 废品原因(剔除)
	     */
	    private String failReason = "";
	    /**
	     * 下线支数
	     */
	    private String offlineNum = "";
	    /**
	     * 下线重量
	     */
	    private String offlineWt = "";
	    /**
	     * 返线支数
	     */
	    private String reNum = "";
	    /**
	     * 返线重量
	     */
	    private String reWt = "";
	    /**
	     * 监制要求
	     */
	    private String monitordemand = "";
	    /**
	     * 是否镦拔扩监制
	     */
	    private String ifMonitorDbk = "";
	    /**
	     * 监制人
	     */
	    private String producer = "";
	    /**
	     * 监制编号
	     */
	    private String prdcrNo = "";
	    /**
	     * 监制到场时间
	     */
	    private String producerTime = "";
	    /**
	     * 上料时间
	     */
	    private String loadTime = "";
	    /**
	     * 上料班次
	     */
	    private String loadShift = "";
	    /**
	     * 上料班组
	     */
	    private String loadGroup = "";
	    /**
	     * 操作人
	     */
	    private String loadUser = "";
	    /**
	     * 采集方式(0-接口采集，1-人工录入)
	     */
	    private String colMode = "";
	    /**
	     * 操作时间
	     */
	    private String createTime = "";
	    /**
	     * 修改时间
	     */
	    private String updateTime = "";
	    /**
	     * 修改人
	     */
	    private String updateName = "";

	    /**
	     * 实绩编号(机组+工序点代码+年月日+6位流水)
	     * @return value
	     */
	    public String getResultNo() {
	        return resultNo;
	    }

	    /**
	     * 实绩编号(机组+工序点代码+年月日+6位流水)
	     * @param resultNo value
	     */
	    public void setResultNo(String resultNo) {
	        this.resultNo = resultNo;
	    }

	    /**
	     * 炉批计划ID
	     * @return value
	     */
	    public String getHeatPlanNo() {
	        return heatPlanNo;
	    }

	    /**
	     * 炉批计划ID
	     * @param heatPlanNo value
	     */
	    public void setHeatPlanNo(String heatPlanNo) {
	        this.heatPlanNo = heatPlanNo;
	    }

	    /**
	     * 镦拔扩作业批次号
	     * @return value
	     */
	    public String getZyBatchId() {
	        return zyBatchId;
	    }

	    /**
	     * 镦拔扩作业批次号
	     * @param zyBatchId value
	     */
	    public void setZyBatchId(String zyBatchId) {
	        this.zyBatchId = zyBatchId;
	    }

	    /**
	     * 镦拔扩订单编号
	     * @return value
	     */
	    public String getProPlanId() {
	        return proPlanId;
	    }

	    /**
	     * 镦拔扩订单编号
	     * @param proPlanId value
	     */
	    public void setProPlanId(String proPlanId) {
	        this.proPlanId = proPlanId;
	    }

	    /**
	     * 镦拔扩订单排产序号
	     * @return value
	     */
	    public String getGxPlanNo() {
	        return gxPlanNo;
	    }

	    /**
	     * 镦拔扩订单排产序号
	     * @param gxPlanNo value
	     */
	    public void setGxPlanNo(String gxPlanNo) {
	        this.gxPlanNo = gxPlanNo;
	    }

	    /**
	     * 产线代码
	     * @return value
	     */
	    public String getPlineCode() {
	        return plineCode;
	    }

	    /**
	     * 产线代码
	     * @param plineCode value
	     */
	    public void setPlineCode(String plineCode) {
	        this.plineCode = plineCode;
	    }

	    /**
	     * 产线描述
	     * @return value
	     */
	    public String getPlineName() {
	        return plineName;
	    }

	    /**
	     * 产线描述
	     * @param plineName value
	     */
	    public void setPlineName(String plineName) {
	        this.plineName = plineName;
	    }

	    /**
	     * 轧机号(LB,LD,LG)
	     * @return value
	     */
	    public String getRollFacNo() {
	        return rollFacNo;
	    }

	    /**
	     * 轧机号(LB,LD,LG)
	     * @param rollFacNo value
	     */
	    public void setRollFacNo(String rollFacNo) {
	        this.rollFacNo = rollFacNo;
	    }

	    /**
	     * 原料管外径(坯管)
	     * @return value
	     */
	    public String getDimater() {
	        return dimater;
	    }

	    /**
	     * 原料管外径(坯管)
	     * @param dimater value
	     */
	    public void setDimater(String dimater) {
	        this.dimater = dimater;
	    }

	    /**
	     * 原料管壁厚(坯管)
	     * @return value
	     */
	    public String getHeight() {
	        return height;
	    }

	    /**
	     * 原料管壁厚(坯管)
	     * @param height value
	     */
	    public void setHeight(String height) {
	        this.height = height;
	    }

	    /**
	     * 外径（成品）
	     * @return value
	     */
	    public String getSizDimater() {
	        return sizDimater;
	    }

	    /**
	     * 外径（成品）
	     * @param sizDimater value
	     */
	    public void setSizDimater(String sizDimater) {
	        this.sizDimater = sizDimater;
	    }

	    /**
	     * 壁厚（成品）
	     * @return value
	     */
	    public String getSizHeight() {
	        return sizHeight;
	    }

	    /**
	     * 壁厚（成品）
	     * @param sizHeight value
	     */
	    public void setSizHeight(String sizHeight) {
	        this.sizHeight = sizHeight;
	    }

	    /**
	     * 工艺道次
	     * @return value
	     */
	    public String getTecTim() {
	        return tecTim;
	    }

	    /**
	     * 工艺道次
	     * @param tecTim value
	     */
	    public void setTecTim(String tecTim) {
	        this.tecTim = tecTim;
	    }

	    /**
	     * 外摸外径
	     * @return value
	     */
	    public String getWDimater() {
	        return wDimater;
	    }

	    /**
	     * 外摸外径
	     * @param wDimater value
	     */
	    public void setWDimater(String wDimater) {
	        this.wDimater = wDimater;
	    }

	    /**
	     * 外摸壁厚
	     * @return value
	     */
	    public String getWHeight() {
	        return wHeight;
	    }

	    /**
	     * 外摸壁厚
	     * @param wHeight value
	     */
	    public void setWHeight(String wHeight) {
	        this.wHeight = wHeight;
	    }

	    /**
	     * 内摸外径
	     * @return value
	     */
	    public String getNDimater() {
	        return nDimater;
	    }

	    /**
	     * 内摸外径
	     * @param nDimater value
	     */
	    public void setNDimater(String nDimater) {
	        this.nDimater = nDimater;
	    }

	    /**
	     * 内摸壁厚
	     * @return value
	     */
	    public String getNHeight() {
	        return nHeight;
	    }

	    /**
	     * 内摸壁厚
	     * @param nHeight value
	     */
	    public void setNHeight(String nHeight) {
	        this.nHeight = nHeight;
	    }

	    /**
	     * 拔制速度(轧制速度)
	     * @return value
	     */
	    public String getRollSpeed() {
	        return rollSpeed;
	    }

	    /**
	     * 拔制速度(轧制速度)
	     * @param rollSpeed value
	     */
	    public void setRollSpeed(String rollSpeed) {
	        this.rollSpeed = rollSpeed;
	    }

	    /**
	     * 产出长度(成品)
	     * @return value
	     */
	    public String getActLen() {
	        return actLen;
	    }

	    /**
	     * 产出长度(成品)
	     * @param actLen value
	     */
	    public void setActLen(String actLen) {
	        this.actLen = actLen;
	    }

	    /**
	     * 芯棒规格
	     * @return value
	     */
	    public String getSpeMandrel() {
	        return speMandrel;
	    }

	    /**
	     * 芯棒规格
	     * @param speMandrel value
	     */
	    public void setSpeMandrel(String speMandrel) {
	        this.speMandrel = speMandrel;
	    }

	    /**
	     * 轧辊规格 
	     * @return value
	     */
	    public String getSpeRoll() {
	        return speRoll;
	    }

	    /**
	     * 轧辊规格 
	     * @param speRoll value
	     */
	    public void setSpeRoll(String speRoll) {
	        this.speRoll = speRoll;
	    }

	    /**
	     * 辊缝
	     * @return value
	     */
	    public String getRollGap() {
	        return rollGap;
	    }

	    /**
	     * 辊缝
	     * @param rollGap value
	     */
	    public void setRollGap(String rollGap) {
	        this.rollGap = rollGap;
	    }

	    /**
	     * 送进量
	     * @return value
	     */
	    public String getSendNum() {
	        return sendNum;
	    }

	    /**
	     * 送进量
	     * @param sendNum value
	     */
	    public void setSendNum(String sendNum) {
	        this.sendNum = sendNum;
	    }

	    /**
	     * 微调
	     * @return value
	     */
	    public String getTrimNum() {
	        return trimNum;
	    }

	    /**
	     * 微调
	     * @param trimNum value
	     */
	    public void setTrimNum(String trimNum) {
	        this.trimNum = trimNum;
	    }

	    /**
	     * 上连杆
	     * @return value
	     */
	    public String getUpPole() {
	        return upPole;
	    }

	    /**
	     * 上连杆
	     * @param upPole value
	     */
	    public void setUpPole(String upPole) {
	        this.upPole = upPole;
	    }

	    /**
	     * 摆杆
	     * @return value
	     */
	    public String getPPole() {
	        return pPole;
	    }

	    /**
	     * 摆杆
	     * @param pPole value
	     */
	    public void setPPole(String pPole) {
	        this.pPole = pPole;
	    }

	    /**
	     * 作业支数（有效生产数量）
	     * @return value
	     */
	    public String getProNum() {
	        return proNum;
	    }

	    /**
	     * 作业支数（有效生产数量）
	     * @param proNum value
	     */
	    public void setProNum(String proNum) {
	        this.proNum = proNum;
	    }

	    /**
	     * 作业重量
	     * @return value
	     */
	    public String getProWt() {
	        return proWt;
	    }

	    /**
	     * 作业重量
	     * @param proWt value
	     */
	    public void setProWt(String proWt) {
	        this.proWt = proWt;
	    }

	    /**
	     * 合格支数
	     * @return value
	     */
	    public String getAccNum() {
	        return accNum;
	    }

	    /**
	     * 合格支数
	     * @param accNum value
	     */
	    public void setAccNum(String accNum) {
	        this.accNum = accNum;
	    }

	    /**
	     * 合格重量
	     * @return value
	     */
	    public String getAccWt() {
	        return accWt;
	    }

	    /**
	     * 合格重量
	     * @param accWt value
	     */
	    public void setAccWt(String accWt) {
	        this.accWt = accWt;
	    }

	    /**
	     * 合格米数
	     * @return value
	     */
	    public String getAccLen() {
	        return accLen;
	    }

	    /**
	     * 合格米数
	     * @param accLen value
	     */
	    public void setAccLen(String accLen) {
	        this.accLen = accLen;
	    }

	    /**
	     * 废品支数(剔除)
	     * @return value
	     */
	    public String getFailNum() {
	        return failNum;
	    }

	    /**
	     * 废品支数(剔除)
	     * @param failNum value
	     */
	    public void setFailNum(String failNum) {
	        this.failNum = failNum;
	    }

	    /**
	     * 废品重量(剔除)
	     * @return value
	     */
	    public String getFailWt() {
	        return failWt;
	    }

	    /**
	     * 废品重量(剔除)
	     * @param failWt value
	     */
	    public void setFailWt(String failWt) {
	        this.failWt = failWt;
	    }

	    /**
	     * 废品原因(剔除)
	     * @return value
	     */
	    public String getFailReason() {
	        return failReason;
	    }

	    /**
	     * 废品原因(剔除)
	     * @param failReason value
	     */
	    public void setFailReason(String failReason) {
	        this.failReason = failReason;
	    }

	    /**
	     * 下线支数
	     * @return value
	     */
	    public String getOfflineNum() {
	        return offlineNum;
	    }

	    /**
	     * 下线支数
	     * @param offlineNum value
	     */
	    public void setOfflineNum(String offlineNum) {
	        this.offlineNum = offlineNum;
	    }

	    /**
	     * 下线重量
	     * @return value
	     */
	    public String getOfflineWt() {
	        return offlineWt;
	    }

	    /**
	     * 下线重量
	     * @param offlineWt value
	     */
	    public void setOfflineWt(String offlineWt) {
	        this.offlineWt = offlineWt;
	    }

	    /**
	     * 返线支数
	     * @return value
	     */
	    public String getReNum() {
	        return reNum;
	    }

	    /**
	     * 返线支数
	     * @param reNum value
	     */
	    public void setReNum(String reNum) {
	        this.reNum = reNum;
	    }

	    /**
	     * 返线重量
	     * @return value
	     */
	    public String getReWt() {
	        return reWt;
	    }

	    /**
	     * 返线重量
	     * @param reWt value
	     */
	    public void setReWt(String reWt) {
	        this.reWt = reWt;
	    }

	    /**
	     * 监制要求
	     * @return value
	     */
	    public String getMonitordemand() {
	        return monitordemand;
	    }

	    /**
	     * 监制要求
	     * @param monitordemand value
	     */
	    public void setMonitordemand(String monitordemand) {
	        this.monitordemand = monitordemand;
	    }

	    /**
	     * 是否镦拔扩监制
	     * @return value
	     */
	    public String getIfMonitorDbk() {
	        return ifMonitorDbk;
	    }

	    /**
	     * 是否镦拔扩监制
	     * @param ifMonitorDbk value
	     */
	    public void setIfMonitorDbk(String ifMonitorDbk) {
	        this.ifMonitorDbk = ifMonitorDbk;
	    }

	    /**
	     * 监制人
	     * @return value
	     */
	    public String getProducer() {
	        return producer;
	    }

	    /**
	     * 监制人
	     * @param producer value
	     */
	    public void setProducer(String producer) {
	        this.producer = producer;
	    }

	    /**
	     * 监制编号
	     * @return value
	     */
	    public String getPrdcrNo() {
	        return prdcrNo;
	    }

	    /**
	     * 监制编号
	     * @param prdcrNo value
	     */
	    public void setPrdcrNo(String prdcrNo) {
	        this.prdcrNo = prdcrNo;
	    }

	    /**
	     * 监制到场时间
	     * @return value
	     */
	    public String getProducerTime() {
	        return producerTime;
	    }

	    /**
	     * 监制到场时间
	     * @param producerTime value
	     */
	    public void setProducerTime(String producerTime) {
	        this.producerTime = producerTime;
	    }

	    /**
	     * 上料时间
	     * @return value
	     */
	    public String getLoadTime() {
	        return loadTime;
	    }

	    /**
	     * 上料时间
	     * @param loadTime value
	     */
	    public void setLoadTime(String loadTime) {
	        this.loadTime = loadTime;
	    }

	    /**
	     * 上料班次
	     * @return value
	     */
	    public String getLoadShift() {
	        return loadShift;
	    }

	    /**
	     * 上料班次
	     * @param loadShift value
	     */
	    public void setLoadShift(String loadShift) {
	        this.loadShift = loadShift;
	    }

	    /**
	     * 上料班组
	     * @return value
	     */
	    public String getLoadGroup() {
	        return loadGroup;
	    }

	    /**
	     * 上料班组
	     * @param loadGroup value
	     */
	    public void setLoadGroup(String loadGroup) {
	        this.loadGroup = loadGroup;
	    }

	    /**
	     * 操作人
	     * @return value
	     */
	    public String getLoadUser() {
	        return loadUser;
	    }

	    /**
	     * 操作人
	     * @param loadUser value
	     */
	    public void setLoadUser(String loadUser) {
	        this.loadUser = loadUser;
	    }

	    /**
	     * 采集方式(0-接口采集，1-人工录入)
	     * @return value
	     */
	    public String getColMode() {
	        return colMode;
	    }

	    /**
	     * 采集方式(0-接口采集，1-人工录入)
	     * @param colMode value
	     */
	    public void setColMode(String colMode) {
	        this.colMode = colMode;
	    }

	    /**
	     * 操作时间
	     * @return value
	     */
	    public String getCreateTime() {
	        return createTime;
	    }

	    /**
	     * 操作时间
	     * @param createTime value
	     */
	    public void setCreateTime(String createTime) {
	        this.createTime = createTime;
	    }

	    /**
	     * 修改时间
	     * @return value
	     */
	    public String getUpdateTime() {
	        return updateTime;
	    }

	    /**
	     * 修改时间
	     * @param updateTime value
	     */
	    public void setUpdateTime(String updateTime) {
	        this.updateTime = updateTime;
	    }

	    /**
	     * 修改人
	     * @return value
	     */
	    public String getUpdateName() {
	        return updateName;
	    }

	    /**
	     * 修改人
	     * @param updateName value
	     */
	    public void setUpdateName(String updateName) {
	        this.updateName = updateName;
	    }
	}


